Package org.bukkit.enchantments

# Class EnchantmentOffer

java.lang.Object
org.bukkit.enchantments.EnchantmentOffer

public class EnchantmentOffer extends Object
A class for the available enchantment offers in the enchantment table.

## Constructor Summary

Constructors
Constructor
Description
`EnchantmentOffer(@NotNull Enchantment enchantment, int enchantmentLevel, int cost)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCost()`
Gets the cost (minimum level) which is displayed as a number on the right hand side of the enchantment offer.
`@NotNull Enchantment`
`getEnchantment()`
Get the type of the enchantment.
`int`
`getEnchantmentLevel()`
Gets the level of the enchantment.
`void`
`setCost(int cost)`
Sets the cost (minimum level) which is displayed as a number on the right hand side of the enchantment offer.
`void`
`setEnchantment(@NotNull Enchantment enchantment)`
Sets the type of the enchantment.
`void`
`setEnchantmentLevel(int enchantmentLevel)`
Sets the level of the enchantment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnchantmentOffer

public EnchantmentOffer(@NotNull @NotNull Enchantment enchantment, int enchantmentLevel, int cost)

## Method Details

### getEnchantment

@NotNull public @NotNull Enchantment getEnchantment()
Get the type of the enchantment.

Returns:
  type of enchantment

### setEnchantment

public void setEnchantment(@NotNull @NotNull Enchantment enchantment)
Sets the type of the enchantment.

Parameters:
  `enchantment` - type of the enchantment

### getEnchantmentLevel

public int getEnchantmentLevel()
Gets the level of the enchantment.

Returns:
  level of the enchantment

### setEnchantmentLevel

public void setEnchantmentLevel(int enchantmentLevel)
Sets the level of the enchantment.

Parameters:
  `enchantmentLevel` - level of the enchantment

### getCost

public int getCost()
Gets the cost (minimum level) which is displayed as a number on the right hand side of the enchantment offer.

Returns:
  cost for this enchantment

### setCost

public void setCost(int cost)
Sets the cost (minimum level) which is displayed as a number on the right hand side of the enchantment offer.

Parameters:
  `cost` - cost for this enchantment